#
# Table structure for table 'fe_users'
#
CREATE TABLE fe_users (
	tx_mageconnect_magento_customer_attr longtext
);

#
# Table structure for table 'tx_mageconnect_products'
#
CREATE TABLE tx_mageconnect_products (
    uid int(11) NOT NULL auto_increment,
    pid int(11) DEFAULT '0' NOT NULL,
    tstamp int(11) DEFAULT '0' NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    cruser_id int(11) DEFAULT '0' NOT NULL,
    deleted tinyint(4) DEFAULT '0' NOT NULL,
    hidden tinyint(4) DEFAULT '0' NOT NULL,
    starttime int(11) DEFAULT '0' NOT NULL,
    endtime int(11) DEFAULT '0' NOT NULL,
    product_id int(11) DEFAULT '0' NOT NULL,
    store_view varchar(90) DEFAULT '' NOT NULL,
    sku varchar(90) DEFAULT '' NOT NULL,
    name varchar(254) DEFAULT '' NOT NULL,
    short_description text,
    description text,
    price varchar(255) DEFAULT '' NOT NULL,
    currency varchar(50) DEFAULT '' NOT NULL,
    special_price varchar(255) DEFAULT '' NOT NULL,
    stock_qty varchar(10) DEFAULT '' NOT NULL,
    image varchar(255) DEFAULT '' NOT NULL,
    attributes longtext,
    refresh tinyint(3) DEFAULT '0' NOT NULL,
    
    PRIMARY KEY (uid),
    KEY parent (pid)
);



#
# Table structure for table 'tx_mageconnect_categories'
#
CREATE TABLE tx_mageconnect_categories (
    uid int(11) NOT NULL auto_increment,
    pid int(11) DEFAULT '0' NOT NULL,
    tstamp int(11) DEFAULT '0' NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    cruser_id int(11) DEFAULT '0' NOT NULL,
    sorting int(10) DEFAULT '0' NOT NULL,
    deleted tinyint(4) DEFAULT '0' NOT NULL,
    hidden tinyint(4) DEFAULT '0' NOT NULL,
    category_id int(11) DEFAULT '0' NOT NULL,
    parent_id tinytext,
    name varchar(255) DEFAULT '' NOT NULL,
    description text,
    page_title varchar(255) DEFAULT '' NOT NULL,
    image varchar(200) DEFAULT '' NOT NULL,
    url tinytext,
    url_key tinytext,
    url_path tinytext,
    product_count tinytext,
    product_ids tinytext,
    store_view tinytext,
    attributes longtext,    
    userdefined tinyint(3) DEFAULT '0' NOT NULL,    
    
    PRIMARY KEY (uid),
    KEY parent (pid)
);

#
# Table structure for table 'tx_mageconnect_cache'
#
CREATE TABLE tx_mageconnect_cache (
    id int(11) unsigned NOT NULL auto_increment,
    identifier varchar(32) DEFAULT '' NOT NULL,
    content longtext NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    lifetime int(11) DEFAULT '0' NOT NULL,    
    PRIMARY KEY (id),
    KEY cache_id (identifier)
) ENGINE=InnoDB;

#
# Table structure for table 'tx_mageconnect_cache_tags'
#
CREATE TABLE tx_mageconnect_cache_tags (
  id int(11) unsigned NOT NULL auto_increment,
  identifier varchar(128) DEFAULT '' NOT NULL,
  tag varchar(128) DEFAULT '' NOT NULL,
  PRIMARY KEY (id),
  KEY cache_id (identifier),
  KEY cache_tag (tag)
) ENGINE=InnoDB;


#
# Table structure for table 'tx_mageconnect_productfilter'
#
CREATE TABLE tx_mageconnect_productfilter (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	tags tinytext,
	categories tinytext,
	product_ids tinytext,
    store_view tinytext,	
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);